List an artist's group memberships
curl --request GET \
--url https://www.fmdb.net/api/artists/{artistId}/group-memberships \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.fmdb.net/api/artists/{artistId}/group-memberships"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.fmdb.net/api/artists/{artistId}/group-memberships', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"type": "<string>",
"attributes": {
"_id": "<string>",
"position": 0,
"name_variation": {
"id": "01934567-89ab-7cde-af01-23456789abcd",
"variation": "AD",
"type": "initials"
}
},
"relationships": {
"group": {
"data": {
"type": "<string>",
"id": "<string>"
}
}
}
}
],
"links": {
"self": "string",
"first": "string",
"prev": "string",
"next": "string",
"last": "string"
},
"meta": {
"totalItems": 1,
"itemsPerPage": 1,
"currentPage": 1
},
"included": [
{
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {
"_id": "<string>",
"name": "<string>",
"_type": "person",
"country": "<string>",
"display_name": "Brian May (Australian composer)",
"real_name": "Thomas Bangalter",
"begin_date": "1957-06-12",
"end_date": "1920-05",
"begin_city": "<string>",
"begin_country": "<string>",
"end_city": "<string>",
"end_country": "<string>",
"disambiguation": "<string>",
"biography": "<string>",
"variations": [
{}
],
"created_at": "2024-01-15T10:00:00+00:00",
"updated_at": "2024-01-15T14:30:00+00:00"
},
"relationships": {
"members": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
]
},
"groups": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
]
}
}
},
"included": "<array>"
}
]
}{
"errors": [
{
"status": "429",
"title": "Rate Limit Exceeded",
"detail": "You have exceeded the rate limit of 300 requests per 60 seconds. The budget resets at 2026-01-15T10:00:42+00:00."
}
]
}ArtistGroupMember
List an artist's group memberships
List an artist’s group memberships
GET
/
api
/
artists
/
{artistId}
/
group-memberships
List an artist's group memberships
Authorizations
API token authentication
Path Parameters
ArtistResource identifier
Query Parameters
The collection page number
Response
ArtistGroupMember collection
ArtistGroupMember.jsonapi collection.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
{
"self": "string",
"first": "string",
"prev": "string",
"next": "string",
"last": "string"
}
Show child attributes
Show child attributes
Related resources requested via the "include" query parameter.
Show child attributes
Show child attributes
